Bug 731355 - [abrt] rhythmbox-2.90.1-10.git20110502.fc15: g_hash_table_remove_all: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
Summary: [abrt] rhythmbox-2.90.1-10.git20110502.fc15: g_hash_table_remove_all: Process...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7cfa00553b3b237675f7fc09011...
: 708885 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 12:30 UTC by Steve
Modified: 2012-08-07 15:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:25:44 UTC


Attachments (Terms of Use)
File: dso_list (23.72 KB, text/plain)
2011-08-17 12:30 UTC, Steve
no flags Details
File: maps (86.94 KB, text/plain)
2011-08-17 12:30 UTC, Steve
no flags Details
File: backtrace (86.34 KB, text/plain)
2011-08-17 12:30 UTC, Steve
no flags Details

Description Steve 2011-08-17 12:30:04 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        rhythmbox
comment:        Play with preferences while music is loading.
component:      rhythmbox
crash_function: g_hash_table_remove_all
executable:     /usr/bin/rhythmbox
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        rhythmbox-2.90.1-10.git20110502.fc15
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
time:           Wed Aug 17 14:24:21 2011
uid:            500
username:       sysop
xsession_errors: 

backtrace:      Text file, 88417 bytes
dso_list:       Text file, 24293 bytes
maps:           Text file, 89022 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:f8143ece3e1b80c85590e48c58c0f91d3b25e13d
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:1ba57a696637c1e23edecbd851a292f85214b29c
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:d35e1c96632606bf4fbe2359d2f88980932d6717
:1916190a2901d92261cb9eccc802f5e31506a7ae
:89017ab0b75e533e4294f74ee8f7db3daceea536
:ae1ce10392a6e0aaeb2b743e80a3ee2948ac8396
:a7915405f1c05bd76d0197ddc312ec37403cb120
:1eba80250685c9e90de06177810f47b21af5a76a
:d0c6e13f00a20952a72a945c929efb175fd760e3
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:19331eb3d0813ed58ffbaae98c80d0e1678a49e6
:6b93409e04658c8e6053ea69d98a730aca34953f
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:e7ae00a4cb369351b2b43d94a035e263ac0d0238
:69f772d323d9610bf97a851312b01b54560655b3
:694fb53a7c613376276a794ef6cfcaf9ac79ee86
:aaf62304b0fc10611d35b4f56005479d4c58868d
:9dbefc122aecdf89a041c40b7bc1d214f3c7dd6d
:2adb9cdd48052b02a1b9d415ba6da54e174acbac
:13ff10a075f084abf260b9dd96618c1037ba3d75
:6e6f16a76737601843d679ccbbbb324136819e00
:eab55a4cfa1f608379934d3f44634a2fea77b282
:f62971981ba3a2e59bd0ba347f8e4ad7f7e8fd27
:5e0b8d9a449628e2788ac169bc7b6cd643921b41
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:cfd68ec705b796fcf474f5b86c499c26773ae66e
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:6d43df6da0169dc895d9fabb34b57fd5aa5fd296
:fdc09328fea3e060c8a504a8291555b4cd19172a
:d96f40d1839e1fb8bbf9f7aa33a080545a0b88bb
:1d87720659528ad80e8870da2b2bb4af4470cf66
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:91689252818532ec13597b6528d38be93b2706c4
:d14bdf6ee27c810383edb0f8aa0e57daadbb6887
:5e7c7237a025f271e5ed1418cb23420764b09725
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:975d0f742dcd9e600d7853517ecde9a417eefdc6
:51c47d716991cd2efdf2d03241a16035c2ea5937
:d454b6473bc310c5639900dd4e913d802cf3e42e
:3efa90a1dfea76e986419cc678c07b368c6afde2
:b450b9f89c3a4b0d01ac1627aabe03c683280c1f
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:cfa22181b1fef9573da3671df63029c531dc8e1b
:af8a0cf22e6286f5a1c99545c1ed66b4a317986b
:b06863e37ed8553f282a929588a1453c52630bcd
:90cb21703f57809b0c613d25c0a96f5fab2ff064
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2
:aac9177d9323042eaa779127c3f5b0dde9699c13
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:5a1ce069a69cc4613463bedcea7555d5d9f17f29
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:08bad10bf66ebe542324b597d6ee310019929249
:bfe78a8c603507f97b538d3f90408421fe089bc8
:230660e7b50046ace97b7c95c235375fdc1e2a07
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:d93c5a96f2b2a3048ae6cae88eb95cf64b7712f8
:e56a1c53a3cc7096355bdae521a2bf98041de78d
:541f63b83034968ecbe439021bdfa2af2af5d397
:bec9c0cc814f2bf842a3efcb40584acec952b35b
:b023fcadf9d2ee7e20515471e6b7bc7c74f730ac
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:76f195c9e77180c38325a12d59ad79f8e19b8050
:82cd42a582539e4f3e07b27c66dc881b8c975e55
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:54437f976718c82491699711e390c56287855769
:48aea888319e1848137073c9cbde54a4c2a731c9
:b2907874ef650e3f10858ef2c96afe11818a2f33
:d087f944dd82da9ca4f0bdebd9f28604c95e62e3
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:76cfcf095d9d47a760567cec6c51c97e4812b8b2
:a42ac1d90bf7ea4aac6ff80e4d390055146e1889
:c3576e5624742604776888a8b3c62232a21bff50
:d259f77e246b7dde5797633a40e4a655375f9b97
:c1f034e216940c41dbe23880c3400ef9cffae35d
:09964c492d50efe5e16f56001b3b6eccdd4e6f09
:39f6f3007134c21d9446ddf96ad222a47c225efc
:31a4568bee4e3fa7bf8b27bbeba2f3f1bd1b28cb
:5e9f9b1088769d17091809b0cba159ea5ac8e283
:a1392e55a85c5650e061fc7d1268409011958c10
:d9b174e2bfc8c93b7b05f572e608b4b565339384
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:e7b861e65932930ecc2cd6f3a9c9bffd4bd703ba
:e8b6a0199130211b20c6912fe45e5c13bfa2c024
:de3d99d5ee83bc2d6474a299530057c6cc397eb8
:801736dfff4fc3ac3962fb8840c1c8b1fd4bc02c
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:75e8336c46560f14c7489c882f323ddcce9f0124
:dfb4bf381b203f91f23e9019adc3ac6a89f258e1
:c6409fa523aa4b84febdb762bb4cd961df0beb88
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:165a13f152e1ec0630361c3a4f123b88f35b5542
:3573a3628361e312fd72d870ca66b5c27a57fb58
:5ac76e16a459261de4a441db3873b01681c0af39
:d2b5d20210351adf9e745bb992bfa0208a986808
:a7dd5554a8d372b880c6e5ea378a611e7b691e3b
:8f54e64c60f9c57d9c7b302ffbf72531410550ac
:83eaf534f789338ec43432c66a28bb7680834b45
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:d56c476aaba18f37df2b89a21a10213323c0eb34
:4e30b23097c0fe45ccace8caebe46e922d257d56
:6b4c89f0983f92ce0b0bbcfee06037d51a6ee41e
:3e87da6c0907f001a173d4a13e2c55070ff76b83
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:552c6a93aee798ae600a5544eb058e544c9254c2
:82a5bbeabc3abfeeb05d455c57419a80823ed291
:7ce45e6b137ded350b7e4d3e84e27c571e82f9b7
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:80ed1acfa72ffba7a52d6a2ca45683411c025b51
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:d4f747f678c036e2a151f025c66108bb568ba8aa
:46caf50b7b8405049cc76b9d88092acce249ec89
:585e18f56063dab8934660820f0c63765c6c1a1f
:3a66db60db8c4065c827d710ad7ea7e7bc32de35
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:3f5bc9eee4a94fb834a8b3ddc9f27975ec47adec
:b42f8624b10d0e9c2f3a51900a557d8024cecfbc
:baf827a0a889e5d073495f8b912ad25a555ccd70
:3dd3d5d4e77356728a25d6aba6384e05b9110bfe
:36dcee2b2f4a69613d1d836ad8007921521d29e4
:634eca0cadcf35206919dd5e6a8e2e8601276947
:211ce2ebd375299b359db12f6b4e4bdb5cdf76eb
:e5f626726497a81807681ed0088dbce6d6a1f17b
:f989942828935eccfd621652e7a131e8385476e5
:37a7985c6b4e6dd88d4392d43b88db7010da6095
:aa450a195766131c16442274f36969425a1247c1
:3ab196a705f313a98543634467790d44eff559e9
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:80383824f6f2423ba6bd06e420566a681af4ffbf
:4c842320387ff7f6f91b7842b223c16518be909f
:e01f93e4d0104969c6f61e8413292ce88b940297
:7b04b09e7c5dd8ade32c017ad8b93d9d1c104b3d
:61607ff6cf0f329321eb54ead7ef8e92fb8d9097
:0911ea7c180d733724f89037b8e8a34e64024aec
:fa94676074e67a6a878f2020edad400aa75a8181
:54ba061c2816efe31615cd59a0d11e7d71332cf7
:082400807ae09e58dc24b3a20c0d4ae87932151d
:264bfd9d45950be27417615f22a11928f979af89
:a2b171e27667e3c07ac56d4e793ccd2c5b4355c3
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:fbb49302f34284c6bcb727b6e283b7cb61c3683d
:44b127ee2b15adbfb45cc9e1c55c82b946ec1278
:b4e71bd3ac63c9d29837b7d0e5fe870149ea82ec
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:8847557b91c72a43e905585e0f42eeacf6a08fb0
:fdb40d02de02bf6d2348275c77657d5a08ad6493
:5ac90ccacd76b252b278e42a3636015fae793bde
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:dac4fc56ec02e0f13ddd6f9d067be7c729dca834
:bc940f5c7ee5eba7e22429993af3bf09943ee22e
:d209b396f198879f49a4cce4bd445df16ab163b5
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:8164c04fe43680778d29c2775cef453f494ab62b
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:994b4fbd8023922b252c7aa3e1f79152ee364519
:77f453109143fdbf15d4f3bf481b806eead21ad2
:95732a44ff4626574a2c981184614ecab521006f
:a7058457616c8548e784de3ed1b2c37259c62ca7
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:2ecb2b95be3c86edbdcdff99b54e02e74b8cdec1
:092916152b82a0254ed647acb32af3892a94c62d
:11c85fee7b0c2fbc2072043700f5013f65d0436d
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:3e113d18232e9368a3d33d061ee14e221202b1cc
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:fdc675bf8923a3d2cb3ea685aa5d2de53fb469f8
:fc4ea781fa38eda7d7ed0b1ff2099ab5a1709ebb
:a1920333deacdc9917d324ec2eda595e12d29e2e
:9167c56d7bd81878a6d2f1da62d02891ba06740a
:b493a643c7faf866d22399f6c9684c57a4d37a37
:a088ec440b5806369437055b60dac373e66a7bdc
:544eb865267266a3a113846a945482a0040a8134
:722092ce63f29994224c42970e34d60a30a80e46
:f0a382d76e38a627503306fc9077ec3295c6c72a
:34fdb31481906f347f8dd8215f0df5d3f074167b
:c9cad96fb82014b50e2a1553eacccd12c2754ea0
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:691c2b62d64c7870b8a76290391e1b5501580ddf
:f4c79e3965e8ee2b0b13725de618b434de3f42a8
:667a2be6b1c50b8f198909ab05dcd9d197c3c746
:12fc7ac702ec37aeda13f2a30910c8177e252552
:281f4dd87665d634eb4e0c3add02d05ebf74121d
:4953d1f613914126bccceb3cb96386647ffba9df
:d87cdd71509313424501facf8bc2edd95430264f
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:5b4afc462e1e582afc08fec52f357c52abeaa843
:e7535d489199a937307c4f08b1862a0f14b02b72
:225c02ace6905e90d71dd54b731e13b0b65c77ad
:3416b2ab0ce2faae0d1f8d59b70079df410865bc
:9c23cc77b5763600b189289e892983ebb6c172c8
:4dc89088668e5bedf89684c2f35eefe8c5315f3c
:daeeae8aea94646a67ca53fa7d1ba1eb259c0e79
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dcaa3f91ad5f850b865c9d8347b35e37c8345cec
:c8505097cd0f189035790d5d071b81a25d603f2a
:ff49c5fb3d89f02d486a30ee286f3ada8bc84676
:3a464f156875861dbf99a7a811b26ae8f75c0c50
:ddaccb07249c19d72544053590a31401e305a762
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:c8077bb58874c26cfb2df6c0476ddf4e142353fa
:eb1897455f8a76d79a88efb937572023c4bd2e5c
:53d2f87b0fc2fff230fb8ba17e1a0c33eec3ac67
:7054937677e9c49706f34101cf0e145e038af88d
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:86778c831f10c5f9275eaa25d6abfca2a863e0e7
:dd5dada4600e9f496abc0deecd6fa5be4597cfaf
:8004fd9a60302bd0663602b5ba96d1b6bc6732ba
:6efdf77f5d0e05a35cf1c128e7d213f2a342cdbe
:90fe13fac734263f663981ce4d1691cf926ced25

environ:
:XDG_SESSION_ID=1
:HOSTNAME=mizar
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d349331f8d188517a6f8e11a00000018-1313583605.916679-476815965
:GNOME_KEYRING_CONTROL=/tmp/keyring-VzaYDD
:IMSETTINGS_MODULE=none
:USER=sysop
:USERNAME=sysop
:MAIL=/var/spool/mail/sysop
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sysop/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sysop
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1322
:LANG=en_US.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/sysop
:SHLVL=1
:LOGNAME=sysop
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VEP4Y2z0Rf,guid=324228a9b063596544fd53f700000034
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sysop
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-sysop-jdwQQH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1330,unix/unix:/tmp/.ICE-unix/1330
:ORBIT_SOCKETDIR=/tmp/orbit-sysop
:GPG_AGENT_INFO=/tmp/keyring-VzaYDD/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-VzaYDD/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1524-mizar-rhythmbox-1_TIME174941
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1646

var_log_messages:
:Aug 16 15:05:12 mizar kernel: [412120.214688] rhythmbox[24970]: segfault at 40000002 ip 00000037090170ca sp 00007fffe97c03e0 error 4 in libgobject-2.0.so.0.2800.8[3709000000+4c000]
:Aug 16 15:05:32 mizar abrt[7743]: saved core dump of pid 24970 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2011-08-16-15:05:13-24970.new/coredump (711262208 bytes)
:Aug 17 14:24:20 mizar kernel: [  307.282318] rhythmbox[1646]: segfault at ffffffff02f2272c ip 0000003708431ec9 sp 00007fff55cb6e50 error 4 in libglib-2.0.so.0.2800.8[3708400000+115000]
:Aug 17 14:24:33 mizar abrt[1684]: saved core dump of pid 1646 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2011-08-17-14:24:21-1646.new/coredump (554627072 bytes)

Comment 1 Steve 2011-08-17 12:30:07 UTC
Created attachment 518665 [details]
File: dso_list

Comment 2 Steve 2011-08-17 12:30:11 UTC
Created attachment 518666 [details]
File: maps

Comment 3 Steve 2011-08-17 12:30:14 UTC
Created attachment 518667 [details]
File: backtrace

Comment 4 abrt-bot 2012-03-20 18:03:30 UTC
*** Bug 708885 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2012-08-07 15:25:46 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.